## tar 1.34+dfsg

=== doc/Makefile ===
all:

install:

check:

distclean:
	rm -f Makefile

## tar 1.19-3maemo1

=== debian/changelog ===
tar (1.19-3maemo1) diablo; urgency=low

  * Removed docs from distribution
  * Renamed tar to gtar to avoid conflicts with the built-in tar/busybox
  * Postinst hooks to properly update-alternatives
  * Added MIME types and icons.
  * Removed rmt as there's little chance somebody will ever use N8xx
    as a tape backup server.
  * Build using mud-builder by maemo
  * Build using mud-builder by maemo

 -- Andrew Zabolotny <zap@homelink.ru>  Wed,  6 Aug 2008 10:42:10 +0400

tar (1.19-3) unstable; urgency=low

  * upstream patch to remove error message when updating a non-existing archive
  * patch from Phil Hands for man page prevents URL splitting, closes: #463215

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 Mar 2008 14:25:33 -0600

tar (1.19-2) unstable; urgency=low

  * patch from Ubuntu to fix FTBFS with gcc-4.3, closes: #452096, #441606
  * more descriptive short description in control, closes: #406301

 -- Bdale Garbee <bdale@gag.com>  Fri, 22 Feb 2008 18:17:50 -0700

tar (1.19-1) unstable; urgency=low

  * new upstream version
  * no need to deliver license text, as GPL-3 is in common-licenses now

 -- Bdale Garbee <bdale@gag.com>  Sun, 21 Oct 2007 11:47:17 -0600

tar (1.18-3) unstable; urgency=high

  * fix build with gcc-4.3, closes: #441606

 -- Bdale Garbee <bdale@gag.com>  Thu, 13 Sep 2007 00:37:36 +0200

tar (1.18-2) unstable; urgency=high

  * patch from Neil Moore improving the man page, closes: #439916
  * patch from Justin Pryzby improving the man page, closes: #433553
  * patch from upstream to fix directory traversal concern on extraction
    documented in (CVE-2007-4131), closes: #439335
  * urgency to high since preceding bug has having security implications

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Sep 2007 10:20:45 +0100

tar (1.18-1) unstable; urgency=low

  * new upstream version, closes: #429417, #426808
  * include COPYING file containing GPLv3 until base-file is updated
  * fix filename of NEWS.Debian so that it actually gets delivered
  * patch from Wim De Smet to document --strip in the man page, closes: #417810
  * patch from upstream CVS to fix --verify on large files, closes: #422718
  * add suggest of ncompress mirroring suggest of bzip2 to enable optional
    functionality, closes: #122451

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Aug 2007 20:52:32 -0600

tar (1.16.1-1) unstable; urgency=low

  * new upstream version, closes: #402179
  * updated Russian translation from Yuriy Talakan, closes: #411613

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Apr 2007 22:10:24 -0600

tar (1.16-2) unstable; urgency=high

  * patch from Kees Cook via upstream to disable handling of GNUTYPE_NAMES 
    by default and add a new command-line switch --allow-name-mangling to 
    re-enable it, as a fix for directory traversal bug (CVE-2006-6097), 
    closes: #399845

 -- Bdale Garbee <bdale@gag.com>  Fri,  1 Dec 2006 09:19:02 -0700

tar (1.16-1) unstable; urgency=medium

  * new upstream version, closes: #376816, #363943, #377124, #377330
  * fix for buffer overflow in test suite, closes: #377557
  * force a clean in the tests directory before running the test suite, seems
    to work around test suite repeatability problems, closes: #377330, #379393
  * accept patch from Raphael Bossek to zero nanoseconds, closes: #329843
  * update man page to reflect change in -l definition and other misc changes
    to options since man page was last updated, 
    closes: #384508, #391718, 361932, #315506
  * stop delivering upstream README, closes: #323232

 -- Bdale Garbee <bdale@gag.com>  Tue, 24 Oct 2006 17:41:51 -0600

tar (1.15.91-2) unstable; urgency=low

  * add a NEWS.Debian file that communicates the change in wildcard processing
  * re-institute the patch for filenames that are exactly 100 characters in 
    length originally reported in #230910, closes: #376909

 -- Bdale Garbee <bdale@gag.com>  Thu,  6 Jul 2006 19:30:46 -0600

tar (1.15.91-1) unstable; urgency=low

  * new upstream version, retrieved from alpha.gnu.org
  * update date in tar.1, closes: #367290
  * support rollbacks in maintainer scripts, drop removal of info since this
    package no longer delivers an info doc, closes: #374461

 -- Bdale Garbee <bdale@gag.com>  Thu, 22 Jun 2006 16:05:21 -0600

tar (1.15.1dfsg-3) unstable; urgency=low

  * revert to upstream auto* products and take a different approach to eliding
    doc/ contents, since I'm clearly just not smart enough to use auto* tools
    without breaking more than I fix, closes: #362249

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Apr 2006 00:18:42 -0600

tar (1.15.1dfsg-2) unstable; urgency=low

  * run aclocal and automake to get last reference to doc subdir out of
    Makefile.in, closes: #361931

 -- Bdale Garbee <bdale@gag.com>  Thu, 13 Apr 2006 07:33:20 +0900

tar (1.15.1dfsg-1) unstable; urgency=low

  * remove the documentation source from this package, since it is licensed 
    under the GFDL with invariant cover texts that upstream is unwilling or
    unable to to remove, closes: #357259
  * remove install-info call from postinst, since it is no longer relevant
  * include URL for the online version of the tar documentation in the man page
  * run make with same env vars set as configure to avoid situation where
    make re-running configure causes rsh to not be found, etc, closes: #356657
  * another patch from Goswin to fix test failures on amd64, closes: #354847

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Apr 2006 17:18:12 +0900

tar (1.15.1-6) unstable; urgency=low

  * patch from upstream to fix incorrect listing of a non-existing section as
    invariant in the GFDL license header, closes: #357259

 -- Bdale Garbee <bdale@gag.com>  Fri, 17 Mar 2006 19:09:14 +0100

tar (1.15.1-5) unstable; urgency=low

  * patch from Goswin von Brederlow to sort tar output in test suite to 
    compensate for different file order when ext3 option dir_index is enabled
    on build system, first seen on amd64 autobuilder, closes: #354847



=== debian/control ===
Source: tar
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/tools
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Standards-Version: 3.6.1
Build-Depends: posix-locales, locales, sharutils, autotools-dev

Package: gnutar
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
  SU1FB9gIAgsyHF3kUHcAAAb0SURBVEjHhVZrbFTHFf5m5j52792H12tjk1Cv
  7YRHsWOI1EJSqtIGAcJA3IJaUdFSxdQ/IhSpldIfjQTtD9QqSiO1QlQCF0uN
  gqCqrIKogqIQZBUCtQsl1A40bkRsbOPHem0v3sd9zKM/ZqEoLemRRnMfZ873
  nTPfuXcIHm8EgAHArK2ttbq6upZ0dHRszGQym6WU5eHh4XMnT54cOH369Pzi
  4iIH8GCoxwX7rFEADIC5ZMkSq7Ozs669vX1dQ0PDc7ZtpymlFqXUUErJcrl8
  b2RkpO/MmTMD3d3duUKh8FhA8r8AEomE2dXVVbdr166v1NTUrLJtO0kIYZRS
  Rim1CCEMgKrMxPO86bGxsQ96e3sHjh07Nut53n8BkkcADNd1rT179qS3bdvW
  0tLS8lwsFnvC87x5pZSilFJCCGOMPQSilDJCCCOEUADU9/2Z0dHRq+fOnbt+
  /Pjx7KMZEgBRwzCsjo6O1I4dO5Y3NTU95bpuIpFIpE3TdEql0rxSClQbY4xZ
  lNKHGRFC6APAynMShmE+m81+eOrUqUtHjhzJCiE4aWtrW7Z3796mlStXNriu
  6xqGwSilLJlMpmzbdovF4gKpRCOE0BhbSAvqcA7XewSAPgAihFDTNB3DMJxC
  oXB3aGjo0oEDB/7Gzp8//0oikYjMz88XpJSScy6UUsKyLIsxRoMg8AgUiWEi
  /QX0baxT/dur+GAr4zO8KBIzgbRKUkoupeRCCC6l5AAghPBzudwEAKu5udlm
  g4OD+S1btmRaW1vXhWFYmJubu08pJZFIxDIoTFd8UpVhf9m0lNzYGSELTxOi
  LKo8x5HjK1JyaJXJp1ASbtYTkaKUMgyCoOz7foFz7nmeV0qn0/WNjY31BMCK
  tWvXWkePHt3kOE6surq6MZvN3rHKH0UykdubXDXexiiJgxpaN4QAMgREGZAe
  oKA4cWYX5BP94/L5fhVtkoZpWZZlOdFoNGmaZmxiYuJDBiAdi8XIhg0bkr/6
  5cGra+s+ddsagpfra6tfiIqJ5TSct0EYQAyAUC1UJQAVAKIEiCKhRLmO4y6v
  taefteUkNWINRiRWk1KAVEqpbDY7wgBUp5M2e2n70i/tXf3et5bHbu+zitef
  pGEugpqNQNWzmr0oA9SsdIMAhKdB46uAyDIgyBFKVdSJWE+7dPYpQ+ZZKI0F
  SRx/cmrqDvnND7H1219l36vNrG83yh+nQC0CIw6YacBKA/HVQO1mgDAgfx3w
  pzWI2wwQC1i4BsgyYFYDLAIQE2AOACgBY7HMGj65OZzvJvxcao6JxSoknyHw
  JrWjWQVY1Xo24oBdC8RbgNTzgPR14GwfsDikG5/aOlti6ZlFACU1ORpRPNc/
  SSkRSTgZAjMFGAmAGnoQWhlMl8ifAnJ9AHOBmfcAbwxQHJCBFoXw9Sx9gC/q
  fWQOQC1CghnLAC96ABw4GSD+RSDIalUppVkpWVlc1Iv9KcCfBPxZnRmY9qUK
  gNSkrBqA2RpQcsigMGsIRfMGtRyEC5odiwHxDB7eywDgBc2eG5qIN6mBCdNf
  S0IAEtEA1AZ4HgiCingYBA9nDCHpjMGcpSAGQC1d85pvAP5Mhf0MICpAoJqA
  KFfYU70f0WV6rZ/VWRBWAVEAqAq4mDZCQadsGlkDIw6kNwDBHGDX68X3/qRZ
  msuBYBoIF3WGhOnAsRV6z8p3NSEl9DsWBZQBSA5AqiAQE4bHzfGYmVIgjEB4
  QP1OzRJUMyrf1cFjK3XdJUfPBWif4BoQLACQ6NyxDD1/vvcgi4cqfOnFJlny
  +D3jVr7trTXRsbp4Nd1EvfEoFj8Gqtdr5/gqQIW6QUsjgJkEzBQQ5tF58PzD
  P2bPa2vQ8840On8xBAA48dPV2H94EADwo93pi+1rC2/TjS9fvtT1xuh3h4Zu
  /aA4N3JFzV0NUB4HKAOq1gF123UpDUcrSoaAEuh57ZkKSCtAGToP30DPwfUA
  AME9HwA2fzn1xq97c1u2Hgq2UQDqj1dQWHMg39v9h4Hdn96+/BNvtPe2yg8J
  zF4E5v+qhcAcvR9KoPPF5oo4oDMWvr40qhQAXB1cOA0AF64t/PPRc8IDkz8+
  wae+eWjst2fPnu2YvPbmm2Hu2j3IQIHYWrYsopvYiOnmBABeguL3FQDs/9m7
  BABOXZz/AACUUicIIfsB9NDPHoEGR8H3vF78176f3zx05XLf7tz4jbdFMJ//
  j2RR+eTYukxBIZjK5v8BAPXp6CsA4IcQAEAI2a+UOgGgkz7uUPf+IPyvvzrV
  /3r3pQM3By58//7kjQsqvB+C3wfKo+BChgDQ95F863fv+r8HgOk5r/R5h8T/
  ay2NNt23tTa1/WuZnc1PJl9VxTvl7xye+fvAML9VKPll3w+ElEp9Xox/A8VR
  PnRx+V4SAAAAAElFTkSuQmCC
  ====
Architecture: any
Pre-Depends: ${shlibs:Depends}
Essential: yes
Conflicts: cpio (<= 2.4.2-38)
Replaces: cpio
Suggests: bzip2, ncompress
Description: GNU version of the tar archiving utility
 Tar is a program for packaging a set of files as a single archive in tar
 format.  The function it performs is conceptually similar to cpio, and to
 things like PKZIP in the DOS world.  It is heavily used by the Debian package
 management system, and is useful for performing system backups and exchanging
 sets of files with others.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -mthumb
endif

# Comment out to execute regression tests
# (tests 9 10 11 13 15 16 17 61 will fail with qemu)
__NO_TESTS_PLEASE__=1

configure: configure-stamp
configure-stamp:
	dh_testdir

	RSH="/usr/bin/rsh" CFLAGS="-O2 -g -Wall $(CFLAGS)" \
		./configure --prefix=/usr --libexecdir=/usr/sbin $(CONFARGS)

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	RSH="/usr/bin/rsh" CFLAGS="-O2 -g -Wall -fno-gnu89-inline $(CFLAGS)" $(MAKE)
ifndef __NO_TESTS_PLEASE__
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	(cd tests ; $(MAKE) clean)
	$(MAKE) check
endif
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub build-aux/config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess build-aux/config.guess

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

	make install bindir=`pwd`/debian/gnutar/bin prefix=`pwd`/debian/gnutar/usr \
		libexecdir=`pwd`/debian/gnutar/usr/sbin 
	rm -rf debian/gnutar/usr/sbin debian/gnutar/etc
	uudecode debian/tar-26.b64 -o debian/gnutar/usr/share/icons/hicolor/26x26/mimetypes/application-x-tar.png
	uudecode debian/tar-48.b64 -o debian/gnutar/usr/share/icons/hicolor/48x48/mimetypes/application-x-tar.png
	uudecode debian/tar-64.b64 -o debian/gnutar/usr/share/icons/hicolor/64x64/mimetypes/application-x-tar.png

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	mv debian/gnutar/bin/tar debian/gnutar/bin/gtar
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tar 1.25

=== debian/changelog ===
tar (1.25-3) unstable; urgency=low

  * cherry-pick some upstream commits that appear to address open bugs
  * fix for --one-file-system and --listed-incremental together,
    closes: #603371, #604394, #604698
  * fix for FreeBSD symlink incompatibility with POSIX, closes: #602241

 -- Bdale Garbee <bdale@gag.com>  Mon, 06 Dec 2010 20:35:55 -0700

tar (1.25-2) unstable; urgency=low

  * accept a "hack" from Joey Hess to work around an unfortunate side effect 
    of removing the patch to src/create.c regarding links of 100 chars in
    1.23-4 that broke pristine-tar in some cases.  The "fix" is to support 
    the old behavior if the environment variable TAR_LONGLINK_100 is set, 
    which pristine-tar knows about and will use when necessary but which 
    should never be used by anyone else!  closes: #603231

 -- Bdale Garbee <bdale@gag.com>  Fri, 12 Nov 2010 02:31:25 -0700

tar (1.25-1) unstable; urgency=low

  * new upstream version, closes: #602184, #602209, #602413, #575298
  * Add Vcs-Git, Vcs-Browser fields to debian/control using patch from
    Simon McVittie's 1.24-1.1 NMU, closes: #602639, #602709
  * stop patching src/list.c since it now does more harm than good,
    and add a Breaks against old dpkg versions, closes: #522858

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Nov 2010 15:45:09 -0700

tar (1.24-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 01 Nov 2010 17:26:56 -0600

tar (1.23-4) unstable; urgency=low

  * revert patch to src/create.c introduced in 2004 to fix a dpkg bug long
    since resolved, closes: #598345

 -- Bdale Garbee <bdale@gag.com>  Wed, 29 Sep 2010 06:01:21 +0900

tar (1.23-3) unstable; urgency=medium

  * add xz-utils back to the Suggests list since it may not be 'required'
    forever
  * current debhelper includes trigger support, closes: #561598
  * patch from upstream to fix ability of rmt to accept mixed file mode
    representations, closes: #587702, #597672

 -- Bdale Garbee <bdale@gag.com>  Wed, 22 Sep 2010 00:33:16 -0600

tar (1.23-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * src/extract.c: Apply upstream git commit b60e56fd which fixes a dead loop
    on extracting existing symlinks with the -k option, closes: #577978,
    #576876.

 -- Michael Banck <mbanck@debian.org>  Sun, 18 Jul 2010 17:14:48 +0200

tar (1.23-2) unstable; urgency=low

  * use xz when lzma is called for, and stop suggesting both lzma since it's
    no longer used, and xz-utils since it's now priority required,
    closes: #582706, #523494

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jun 2010 11:05:57 -0600

tar (1.23-1) unstable; urgency=low

  * new upstream version, fixes security issue in rmt (CVE-2010-0624)
  * add suggests for lzma and xz-utils, closes: #523499

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Mar 2010 09:51:37 -0700

tar (1.22-2) unstable; urgency=low

  * Add Carl Worth as an uploader.
  * Fix to allow parallel build (-j2), closes: #535319
  * Don't close file stream before EOF, closes: #525818
  * Preserve hard links with --remove-files, closes: #188663
    Thanks to Ted T'so for the idea and Sergey Poznyakoff for
    cleaning up my original implementation.
  * Respect DEB_BUILD_OPTIONS=nocheck to conform with Policy 3.8.2

 -- Carl Worth <cworth@cworth.org>  Tue, 04 Aug 2009 12:07:06 -0700

tar (1.22-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set SIGPIPE to default action, patch from upstream. (closes: #532570)

 -- Bastian Blank <waldi@debian.org>  Tue, 30 Jun 2009 22:23:48 +0200

tar (1.22-1) unstable; urgency=low

  * new upstream version
  * version the Replaces entry for cpio, closes: #483355
  * move config.* update to configure target, yields a smaller diff that 
    doesn't clash with git-buildpackage... already had autotools-dev build dep!
  * script debian/tarman contributed by Marcus Watts now used to create tar.1
    by processing usage text in source code!  Partial fix for #473328.
    closes: #515578, #429776, #411707, 

 -- Bdale Garbee <bdale@gag.com>  Fri, 03 Apr 2009 01:33:52 -0600

tar (1.20-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 16 Apr 2008 19:24:39 -0600

=== debian/control ===
Source: tar
Section: utils
Priority: required
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Carl Worth <cworth@cworth.org>
Build-Depends: debhelper (>> 5), gettext, autoconf, autotools-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.gag.com/debian/tar
Vcs-Browser: http://git.gag.com/?p=debian/tar

Package: tar
Architecture: any
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Essential: yes
Conflicts: cpio (<= 2.4.2-38)
Replaces: cpio (<< 2.4.2-39)
Breaks: dpkg-dev (<< 1.14.26)
Suggests: bzip2, ncompress, xz-utils
Description: GNU version of the tar archiving utility
 Tar is a program for packaging a set of files as a single archive in tar
 format.  The function it performs is conceptually similar to cpio, and to
 things like PKZIP in the DOS world.  It is heavily used by the Debian package
 management system, and is useful for performing system backups and exchanging
 sets of files with others.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cp -f /usr/share/misc/config.sub build-aux/config.sub
	cp -f /usr/share/misc/config.guess build-aux/config.guess
	RSH="/usr/bin/rsh" CFLAGS="-O2 -g -Wall" ./configure \
		--prefix=/usr \
		--libexecdir=/usr/sbin \
		--with-lzma=xz \
		$(CONFARGS) 
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	RSH="/usr/bin/rsh" CFLAGS="-O2 -g -Wall -fno-gnu89-inline" $(MAKE)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	(cd tests ; $(MAKE) clean)
	$(MAKE) check
endif
endif

	perl debian/tarman > debian/tar.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/tar.1
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make install bindir=`pwd`/debian/tar/bin prefix=`pwd`/debian/tar/usr \
		libexecdir=`pwd`/debian/tar/usr/sbin 
	install -m 755 debian/rmt.sh debian/tar/etc/rmt
	mv debian/tar/usr/sbin/rmt debian/tar/usr/sbin/rmt-tar

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	mv -f debian/tar/usr/share/doc/tar/ChangeLog \
		debian/tar/usr/share/doc/tar/changelog
	mv -f debian/tar/usr/share/doc/tar/ChangeLog.1 \
		debian/tar/usr/share/doc/tar/changelog.1
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman debian/tar.1 debian/rmt.8
	mv debian/tar/usr/share/man/man8/rmt.8 \
	   debian/tar/usr/share/man/man8/rmt-tar.8
	dh_installinfo
	rm -f debian/tar/usr/share/info/dir*
	dh_installmime
	dh_installchangelogs #CHANGELOGS#
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tar 1.26

=== debian/changelog ===
tar (1.26-4ubuntu1) precise; urgency=low

  * Build-depend on gettext:any, since we only need it to run tools at
    build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 01:57:23 +0100

tar (1.26-4) unstable; urgency=low

  * mark "Mult-Arch: foreign" to ease crossgrading, closes: #649478
  * hardened build flags patch from Moritz Huehlenhoff, closes: #653722

 -- Bdale Garbee <bdale@gag.com>  Fri, 30 Dec 2011 09:18:11 -0700

tar (1.26-3) unstable; urgency=low

  * only run listed03.at on Linux systems synce upstream says it's known to
    fail on BSD, apparently including our kfreebsd variants, closes: #639178

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Nov 2011 11:49:38 -0700

tar (1.26-2) unstable; urgency=low

  * clean up various lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Wed, 17 Aug 2011 14:47:33 -0700

tar (1.26-1) unstable; urgency=low

  * new upstream version
  * add a check to the rules file to ensure test suite is not attempted while
    building as root, closes: #596268

 -- Bdale Garbee <bdale@gag.com>  Wed, 17 Aug 2011 10:46:03 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: tar
 Section: utils
 Priority: required
-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Carl Worth <cworth@cworth.org>
-Build-Depends: debhelper (>> 5), gettext, autoconf, autotools-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>> 5), gettext:any, autoconf, autotools-dev
+Standards-Version: 3.9.2
 Vcs-Git: git://git.gag.com/debian/tar
 Vcs-Browser: http://git.gag.com/?p=debian/tar
 
 Package: tar
 Architecture: any
+Multi-Arch: foreign
 Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
 Essential: yes
 Conflicts: cpio (<= 2.4.2-38)

=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,38 @@
 CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
 endif
 
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -Wall
+LDFLAGS += `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	cp -f /usr/share/misc/config.sub build-aux/config.sub
 	cp -f /usr/share/misc/config.guess build-aux/config.guess
-	RSH="/usr/bin/rsh" CFLAGS="-O2 -g -Wall" ./configure \
+	RSH="/usr/bin/rsh" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 		--prefix=/usr \
 		--libexecdir=/usr/sbin \
 		--with-lzma=xz \
 		$(CONFARGS) 
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	RSH="/usr/bin/rsh" CFLAGS="-O2 -g -Wall -fno-gnu89-inline" $(MAKE)
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	@runas=`whoami` ; \
+	if test $$runas = "root" ; \
+	then \
+	  echo "Sorry, but the test suite is not designed to be run as root."; \
+	  exit 1 ;\
+	fi
 	(cd tests ; $(MAKE) clean)
 	$(MAKE) check
 endif

## tar 1.26+dfsg

=== debian/changelog ===
tar (1.26+dfsg-5) unstable; urgency=low

  [ Wookey ]
  * Fix included gnulib so we don't get FTBFS with eglibc-2.16, 
    closes: #693352, #701419

  [ Bdale Garbee ]
  * update mailcap entries to use %s, closes: #681302
  * include the http://www.gnu.org/software/tar/utils/tarcat script for use 
    with multi-volume archives, closes: #492036

 -- Bdale Garbee <bdale@gag.com>  Mon, 01 Apr 2013 09:17:04 -0600

tar (1.26+dfsg-0.1) unstable; urgency=low

  * non-maintainer upload
  * remove unused and non-DFSG compliant doc/*.texi and doc/*.info* files from
    source, closes: #695803

 -- David Prévot <taffit@debian.org>  Mon, 31 Dec 2012 11:05:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tar
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Carl Worth <cworth@cworth.org>
-Build-Depends: debhelper (>> 5), gettext:any, autoconf, autotools-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 5), gettext, autoconf, autotools-dev
+Standards-Version: 3.9.4
 Vcs-Git: git://git.gag.com/debian/tar
 Vcs-Browser: http://git.gag.com/?p=debian/tar

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,7 @@
 		libexecdir=`pwd`/debian/tar/usr/sbin 
 	install -m 755 debian/rmt.sh debian/tar/etc/rmt
 	mv debian/tar/usr/sbin/rmt debian/tar/usr/sbin/rmt-tar
+	install -m 755 debian/tarcat debian/tar/usr/sbin/tarcat
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -79,7 +80,7 @@
 	dh_installexamples
 	dh_installmenu
 	dh_installcron
-	dh_installman debian/tar.1 debian/rmt.8
+	dh_installman debian/tar.1 debian/rmt.8 debian/tarcat.1
 	mv debian/tar/usr/share/man/man8/rmt.8 \
 	   debian/tar/usr/share/man/man8/rmt-tar.8
 	dh_installinfo

## tar 1.27

=== debian/changelog ===
tar (1.27-3) unstable; urgency=low

  * patch from Joey Hess to allow tar to replicate 1.26 output on behalf
    of pristine-tar, closes: #728025
  * honor DEB_BUILD_OPTIONS parallel=<n>, honor dpkg-buildflags in build
    target in addition to configure target, closes: #727196
  * lower mime priority to 1 so interactive packages using the default
    priority of 5 win, closes: #727303

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Nov 2013 09:40:31 -0700

tar (1.27-2) unstable; urgency=low

  * claim support for mime type application/x-ustar too, and no longer
    explicitly mention decompression, closes: #727159

 -- Bdale Garbee <bdale@gag.com>  Tue, 22 Oct 2013 20:39:24 -0600

tar (1.27-1) unstable; urgency=low

  * new upstream version
  * prefix backup and restore scripts with tar- to avoid conflicts with
    other packages like openafs-client, closes: #724064, #724240
  * move "libexec" content in tar-scripts to /usr/lib/tar, closes: #724238

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Oct 2013 09:56:45 -0600

tar (1.26+dfsg-10) unstable; urgency=low

  * tar-scripts should be optional, not required

 -- Bdale Garbee <bdale@gag.com>  Sun, 22 Sep 2013 01:09:42 -0600

tar (1.26+dfsg-9) unstable; urgency=low

  * add a tar-scripts package containing the --enable-backup-scripts content,
    which conflicts with files in at least the dump package, closes: #293671

 -- Bdale Garbee <bdale@gag.com>  Sat, 21 Sep 2013 09:44:48 -0600

tar (1.26+dfsg-8) unstable; urgency=low

  * cherry-pick upstream commit at Pino Toscano's suggestion to fix FTBFS
    on hurd-i386, closes: #719863

 -- Bdale Garbee <bdale@gag.com>  Fri, 16 Aug 2013 11:37:40 +0200

tar (1.26+dfsg-7) unstable; urgency=low

  * cherry-pick upstream commit at Marc Schaeffer's suggestion to fix
    --compare failures, closes: #614085

 -- Bdale Garbee <bdale@gag.com>  Thu, 15 Aug 2013 15:22:11 +0200

tar (1.26+dfsg-6) unstable; urgency=low

  * cherry-pick upstream commit at Paul Eggert's suggestion to address link
    extraction issue, closes: #452365

 -- Bdale Garbee <bdale@gag.com>  Fri, 31 May 2013 12:12:35 -0600

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,20 @@
 Conflicts: cpio (<= 2.4.2-38)
 Replaces: cpio (<< 2.4.2-39)
 Breaks: dpkg-dev (<< 1.14.26)
-Suggests: bzip2, ncompress, xz-utils
+Suggests: bzip2, ncompress, xz-utils, tar-scripts
 Description: GNU version of the tar archiving utility
  Tar is a program for packaging a set of files as a single archive in tar
  format.  The function it performs is conceptually similar to cpio, and to
  things like PKZIP in the DOS world.  It is heavily used by the Debian package
  management system, and is useful for performing system backups and exchanging
  sets of files with others.
+
+Package: tar-scripts
+Architecture: any
+Priority: optional
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: dump, openafs-client
+Description: optional scripts for GNU version of the tar archiving utility
+ This package provides the backup, restore, backup.sh, and dump-remind
+ scripts that are mentioned in the tar documentation.

## tar 1.27.1

=== debian/changelog ===
tar (1.27.1-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 03 Feb 2014 18:05:53 -0700

tar (1.27-4) unstable; urgency=low

  * add ACL, XATTR, and SELinux support by augmenting build-deps so the
    configure will find the right libraries, closes: #732071

 -- Bdale Garbee <bdale@gag.com>  Sat, 14 Dec 2013 10:05:08 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: required
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Carl Worth <cworth@cworth.org>
-Build-Depends: debhelper (>> 5), gettext, autoconf, autotools-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>> 5), gettext, autoconf, autotools-dev, libacl1-dev, libattr1-dev, libselinux1-dev [linux-any]
+Standards-Version: 3.9.5
 Vcs-Git: git://git.gag.com/debian/tar
 Vcs-Browser: http://git.gag.com/?p=debian/tar

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 LDFLAGS += `dpkg-buildflags --get LDFLAGS`
 CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -18,7 +23,8 @@
 	cp -f /usr/share/misc/config.guess build-aux/config.guess
 	RSH="/usr/bin/rsh" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 		--prefix=/usr \
-		--libexecdir=/usr/sbin \
+		--libexecdir=/usr/lib/tar \
+		--enable-backup-scripts \
 		--with-lzma=xz \
 		$(CONFARGS) 
 	touch configure-stamp
@@ -28,7 +34,8 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	RSH="/usr/bin/rsh" CFLAGS="-O2 -g -Wall -fno-gnu89-inline" $(MAKE)
+	RSH="/usr/bin/rsh" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" $(MAKE)
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -38,7 +45,6 @@
 	  echo "Sorry, but the test suite is not designed to be run as root."; \
 	  exit 1 ;\
 	fi
-	(cd tests ; $(MAKE) clean)
 	$(MAKE) check
 endif
 endif
@@ -60,10 +66,15 @@
 	dh_installdirs
 
 	make install bindir=`pwd`/debian/tar/bin prefix=`pwd`/debian/tar/usr \
-		libexecdir=`pwd`/debian/tar/usr/sbin 
+		libexecdir=`pwd`/debian/tar/usr/lib/tar 
 	install -m 755 debian/rmt.sh debian/tar/etc/rmt
-	mv debian/tar/usr/sbin/rmt debian/tar/usr/sbin/rmt-tar
+	mv debian/tar/usr/lib/tar/rmt debian/tar/usr/sbin/rmt-tar
 	install -m 755 debian/tarcat debian/tar/usr/sbin/tarcat
+
+	mv debian/tar/usr/sbin/backup debian/tar-scripts/usr/sbin/tar-backup
+	mv debian/tar/usr/sbin/restore debian/tar-scripts/usr/sbin/tar-restore
+	mv debian/tar/usr/lib/tar/backup.sh debian/tar-scripts/usr/lib/tar/
+	mv debian/tar/usr/lib/tar/dump-remind debian/tar-scripts/usr/lib/tar/
 
 # Build architecture-independent files here.
 binary-indep: build install

## tar 1.28

=== debian/changelog ===
tar (1.28-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Gianfranco Costamagna ]
  * Disable silent rules, to have more verbose builds.
  * Fix missing MAKEFLAGS in $(MAKE) call, preventing parallel builds.

  [ Marc Deslauriers ]
  * debian/patches/use-sort-in-t-dir-tests.diff: upstream patch to fix
    test sort order (Closes: #803012)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Nov 2015 10:04:22 +0100

tar (1.28-2) unstable; urgency=low

  * patch from upstream to fix --files-from and recursive extract,
    closes: #800380

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Sep 2015 15:39:02 -0600

tar (1.28-1) unstable; urgency=low

  * new upstream version
  * patch from Reiner Herrman that sets timestamp in generated manpage to 
    latest changelog date to make building the package reproducible, 
    closes: #774463
  * patch from Lunar adding --clamp-mtime option for reproducible builds,
    closes: #790415

 -- Bdale Garbee <bdale@gag.com>  Sun, 23 Aug 2015 19:56:52 +0200

tar (1.27.1-2) unstable; urgency=low

  * patch from David Gilman adds watch file with signature verification, 
    closes: #742351
  * patch from David Gilman fixes problem with multi-line descriptions,
    closes: #593149

 -- Bdale Garbee <bdale@gag.com>  Sat, 22 Mar 2014 15:55:03 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: required
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Carl Worth <cworth@cworth.org>
-Build-Depends: debhelper (>> 5), gettext, autoconf, autotools-dev, libacl1-dev, libattr1-dev, libselinux1-dev [linux-any]
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>> 5), gettext, autoconf, automake, autopoint, autotools-dev, libacl1-dev, libattr1-dev, libselinux1-dev [linux-any]
+Standards-Version: 3.9.6
 Vcs-Git: git://git.gag.com/debian/tar
 Vcs-Browser: http://git.gag.com/?p=debian/tar

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 LDFLAGS += `dpkg-buildflags --get LDFLAGS`
 CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
+export BUILD_DATE = $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')
+
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
@@ -21,11 +23,13 @@
 	dh_testdir
 	cp -f /usr/share/misc/config.sub build-aux/config.sub
 	cp -f /usr/share/misc/config.guess build-aux/config.guess
+	autoreconf --force -v --install
 	RSH="/usr/bin/rsh" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 		--prefix=/usr \
 		--libexecdir=/usr/lib/tar \
 		--enable-backup-scripts \
 		--with-lzma=xz \
+		--disable-silent-rules \
 		$(CONFARGS) 
 	touch configure-stamp
 
@@ -35,7 +39,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 	RSH="/usr/bin/rsh" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
-		LDFLAGS="$(LDFLAGS)" $(MAKE)
+		LDFLAGS="$(LDFLAGS)" $(MAKE) $(MAKEFLAGS)
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))

## tar 1.29b

=== debian/changelog ===
tar (1.29b-2ubuntu0.4) bionic-security; urgency=medium

  * SECURITY UPDATE: one-byte out of bounds
    - debian/patches/CVE-2022-48303.patch: check limit in
      src/list.c.
    - CVE-2022-48303

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 15 Feb 2023 11:55:10 -0300

tar (1.29b-2ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service (LP: #1912091)
    - debian/patches/CVE-2021-20193.patch: in read_header method in
      src/list.c, change the return value to be the value of status
      and break the execution, jumping to free next_long_name and
      next_long_link before returning.
    - CVE-2021-20193

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 15 Mar 2022 09:58:06 -0300

tar (1.29b-2ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Infinite read loop
    - debian/patches/Fix-CVE-2018-20482.patch: Add handling for short read
      condition in sparse_dump_region() of src/sparse.c.
    - CVE-2018-20482
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2019-9923.patch: Check for NULL return value from
      find_next_block in src/sparse.c.
    - CVE-2019-9923

 -- Avital Ostromich <avital.ostromich@canonical.com>  Tue, 15 Dec 2020 20:39:17 -0500

tar (1.29b-2ubuntu0.1) bionic; urgency=medium

  * debian/patches/git_add_file.patch:
    - backport "Fix the --add-file option." upstream commit,
      thanks Martin Vogt (lp: #1809827)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Jan 2019 17:38:11 +0100

tar (1.29b-2) unstable; urgency=medium

  * add suggests tar-doc, closes: #856958
  * increase test suite verbosity and dump test results into build log on 
    make check failure for kfreebsd team
  * move primary git repo to collab-maint

 -- Bdale Garbee <bdale@gag.com>  Fri, 21 Jul 2017 08:35:22 -0600

tar (1.29b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-6321: Bypassing the extract path name.
    When extracting, member names containing '..' components are skipped.
    (Closes: #842339)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 30 Oct 2016 07:35:31 +0100

tar (1.29b-1) unstable; urgency=medium

  * re-constitute the 1.29 orig.tar with man pages as version 1.29b
  * re-enable parallel builds and increase build verbosity, closes: #824631
  * switch to man pages provided by upstream since 1.28, closes: #827017, 
    #391714, #473228, #524819, #711725, #720877, #766016, #779795.

 -- Bdale Garbee <bdale@gag.com>  Fri, 22 Jul 2016 13:13:55 -0600

tar (1.29-1) unstable; urgency=medium

  * new upstream version, closes: #816072

 -- Bdale Garbee <bdale@gag.com>  Tue, 17 May 2016 12:37:57 -0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: tar
 Section: utils
 Priority: required
-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Carl Worth <cworth@cworth.org>
-Build-Depends: debhelper (>> 5), gettext, autoconf, automake, autopoint, autotools-dev, libacl1-dev, libattr1-dev, libselinux1-dev [linux-any]
-Standards-Version: 3.9.6
-Vcs-Git: git://git.gag.com/debian/tar
-Vcs-Browser: http://git.gag.com/?p=debian/tar
+Build-Depends: debhelper (>> 10), gettext, autoconf, automake, autopoint, autotools-dev, libacl1-dev, libattr1-dev, libselinux1-dev [linux-any]
+Standards-Version: 4.0.0
+Vcs-Git: git://anonscm.debian.org/collab-maint/tar.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tar.git
 
 Package: tar
 Architecture: any
@@ -16,7 +17,7 @@
 Conflicts: cpio (<= 2.4.2-38)
 Replaces: cpio (<< 2.4.2-39)
 Breaks: dpkg-dev (<< 1.14.26)
-Suggests: bzip2, ncompress, xz-utils, tar-scripts
+Suggests: bzip2, ncompress, xz-utils, tar-scripts, tar-doc
 Description: GNU version of the tar archiving utility
  Tar is a program for packaging a set of files as a single archive in tar
  format.  The function it performs is conceptually similar to cpio, and to

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://ftp.gnu.org/gnu/tar/tar-([\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tar 1.30+dfsg

=== debian/changelog ===
tar (1.30+dfsg-7ubuntu0.20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: stack overflow via crafted xattr (LP: #2029464)
    - debian/patches/CVE-2023-39804.patch: allocate xattr keys and values
      on the heap rather than the stack in src/xheader.c
    - CVE-2023-39804

 -- Alex Murray <alex.murray@canonical.com>  Tue, 05 Dec 2023 15:46:50 +1030

tar (1.30+dfsg-7ubuntu0.20.04.3) focal-security; urgency=medium

  * SECURITY UPDATE: one-byte out of bounds
    - debian/patches/CVE-2022-48303.patch: check limit in
      src/list.c.
    - CVE-2022-48303

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 09 Feb 2023 14:17:35 -0300

tar (1.30+dfsg-7ubuntu0.20.04.2) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service (LP: #1912091)
    - debian/patches/CVE-2021-20193.patch: in read_header method in
      src/list.c, change the return value to be the value of status
      and break the execution, jumping to free next_long_name and
      next_long_link before returning.
    - CVE-2021-20193

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 15 Mar 2022 09:59:59 -0300

tar (1.30+dfsg-7ubuntu0.20.04.1) focal-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2019-9923.patch: Check for NULL return value from
      find_next_block in src/sparse.c.
    - CVE-2019-9923

 -- Avital Ostromich <avital.ostromich@canonical.com>  Tue, 15 Dec 2020 20:38:40 -0500

tar (1.30+dfsg-7) unstable; urgency=medium

  * remove libattr1-dev build-dep, as we no longer use it, closes: #953902

 -- Bdale Garbee <bdale@gag.com>  Sat, 14 Mar 2020 14:24:29 -0600

tar (1.30+dfsg-6) unstable; urgency=medium

  * eliminate ancient prerm cleanup code that breaks with merged /usr, 
    and is no longer considered useful, closes: #926722

 -- Bdale Garbee <bdale@gag.com>  Tue, 23 Apr 2019 10:05:54 -0600

tar (1.30+dfsg-5) unstable; urgency=medium

  * change libexecdir in configure to /usr/sbin, closes: #760247, #919493
  * switched to upstream man pages as of 1.29b, closes: #729980, #391060
  * add references to the non-free tar-doc package, and the URL for the
    tar documentation on the FSF's web site to README.Debian, 
    closes: #711726

 -- Bdale Garbee <bdale@gag.com>  Mon, 04 Feb 2019 10:43:28 -0700

tar (1.30+dfsg-4) unstable; urgency=medium

  * merge NMU 
  * update standards version
  * include upstream homepage reference, closes: #888210

 -- Bdale Garbee <bdale@gag.com>  Sat, 05 Jan 2019 16:15:25 -0700

tar (1.30+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Infinite read loop in sparse_dump_region function (CVE-2018-20482)
    (Closes: #917377)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 31 Dec 2018 21:08:52 +0100

tar (1.30+dfsg-3) unstable; urgency=medium

  * elide reference to non-existent section 5 page from section 1 tar manpage,
    closes: #846490
  * update README.Debian to reflect ncompress now being in main
  * remove the NEWS file since it's more than a decade since the latest content
    and the text there confuses new users
  * stop delivering the /etc/rmt script, use a symlink instead, closes: #653043
  * fold in patch for difflink.at (test number 92) that fixes kfreebsd builds,
    closes: #837351
  * apply patch to allow test suite to pass on Hurd again, closes: #910985
  * apply patch to incorporate zstd support, closes: #894065
  * apply patch to correct Italian translation, closes: #852462

 -- Bdale Garbee <bdale@gag.com>  Fri, 16 Nov 2018 21:33:47 -1000

tar (1.30+dfsg-2) unstable; urgency=medium

  * updated pristine-tar patch from Antonio Terceiro, making it possible for
    pristine-tar to ask tar to recreate pre-1.30 broken behavior so that it's
    possible to recover a tar file stored in a repo in the old, broken format.
    closes: #897653
  * patch from upstream that fixes race condition in dirrem01 and dirrem02
    tests when building on a slow machine, closes: #897591

 -- Bdale Garbee <bdale@gag.com>  Wed, 16 May 2018 01:47:48 -0600

tar (1.30+dfsg-1) unstable; urgency=medium

  * new upstream version
  * update Vcs entries for move of packaging repo to salsa.debian.org
  * add depends/conflicts tar version details to tar-scripts, closes: #865428

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Apr 2018 12:39:42 -0600

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Carl Worth <cworth@cworth.org>
-Build-Depends: debhelper (>> 10), gettext, autoconf, automake, autopoint, autotools-dev, libacl1-dev, libattr1-dev, libselinux1-dev [linux-any]
-Standards-Version: 4.0.0
-Vcs-Git: git://anonscm.debian.org/collab-maint/tar.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tar.git
+Build-Depends: debhelper (>> 10), gettext, autoconf, automake, autopoint, libacl1-dev, libselinux1-dev [linux-any]
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/tar.git
+Vcs-Browser: https://salsa.debian.org/debian/tar
+Homepage: https://www.gnu.org/software/tar/
 
 Package: tar
 Architecture: any
@@ -29,8 +30,8 @@
 Architecture: any
 Priority: optional
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: dump, openafs-client
+Depends: ${shlibs:Depends}, ${misc:Depends}, tar (>= 1.26+dfsg-9)
+Conflicts: dump, openafs-client, tar (<< 1.26+dfsg-9)
 Description: optional scripts for GNU version of the tar archiving utility
  This package provides the backup, restore, backup.sh, and dump-remind
  scripts that are mentioned in the tar documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
 endif
@@ -26,7 +26,7 @@
 	autoreconf --force -v --install
 	RSH="/usr/bin/rsh" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 		--prefix=/usr \
-		--libexecdir=/usr/lib/tar \
+		--libexecdir=/usr/sbin \
 		--enable-backup-scripts \
 		--with-lzma=xz \
 		--disable-silent-rules \
@@ -49,37 +49,36 @@
 	  echo "Sorry, but the test suite is not designed to be run as root."; \
 	  exit 1 ;\
 	fi
-	$(MAKE) check
+	$(MAKE) check TESTSUITEFLAGS=-v || { cat tests/testsuite.log; false; }
 endif
 endif
 
-	perl debian/tarman > debian/tar.1
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp debian/tar.1
+	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	make install bindir=`pwd`/debian/tar/bin prefix=`pwd`/debian/tar/usr \
-		libexecdir=`pwd`/debian/tar/usr/lib/tar 
-	install -m 755 debian/rmt.sh debian/tar/etc/rmt
-	mv debian/tar/usr/lib/tar/rmt debian/tar/usr/sbin/rmt-tar
+		libexecdir=`pwd`/debian/tar/usr/sbin 
+	mv debian/tar/usr/sbin/rmt debian/tar/usr/sbin/rmt-tar
+	ln -s /usr/sbin/rmt debian/tar/etc/rmt
 	install -m 755 debian/tarcat debian/tar/usr/sbin/tarcat
 
 	mv debian/tar/usr/sbin/backup debian/tar-scripts/usr/sbin/tar-backup
 	mv debian/tar/usr/sbin/restore debian/tar-scripts/usr/sbin/tar-restore
-	mv debian/tar/usr/lib/tar/backup.sh debian/tar-scripts/usr/lib/tar/
-	mv debian/tar/usr/lib/tar/dump-remind debian/tar-scripts/usr/lib/tar/
-
+	mv debian/tar/usr/sbin/backup.sh debian/tar-scripts/usr/sbin/
+	mv debian/tar/usr/sbin/dump-remind debian/tar-scripts/usr/sbin/
+	
 # Build architecture-independent files here.
 binary-indep: build install
 
@@ -95,7 +94,7 @@
 	dh_installexamples
 	dh_installmenu
 	dh_installcron
-	dh_installman debian/tar.1 debian/rmt.8 debian/tarcat.1
+	dh_installman doc/tar.1 doc/rmt.8 debian/tarcat.1
 	mv debian/tar/usr/share/man/man8/rmt.8 \
 	   debian/tar/usr/share/man/man8/rmt-tar.8
 	dh_installinfo

## tar 1.30+dfsg.2

=== debian/changelog ===
tar (1.30+dfsg.2-1) unstable; urgency=medium

  * update

 -- Bdale Garbee <bdale@gag.com>  Sun, 04 Apr 2021 15:35:51 +0800

tar (1.30+dfsg.1-1+dde) unstable; urgency=medium

  * eliminate ancient prerm cleanup code that breaks with merged /usr, 
    and is no longer considered useful, closes: #926722

 -- Bdale Garbee <bdale@gag.com>  Tue, 23 Apr 2019 10:05:54 -0600

## tar 1.32+dfsg

=== debian/changelog ===
tar (1.32+dfsg-1) unstable; urgency=medium

  * New upstream version; closes: #892273
  * Huge thanks to Bdale for maintaining tar since 1995; closes: #973844

 -- Janos Lenart <ocsi@debian.org>  Fri, 20 Nov 2020 09:52:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tar
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Janos Lenart <ocsi@debian.org>
 Uploaders: Carl Worth <cworth@cworth.org>
-Build-Depends: debhelper (>> 10), gettext, autoconf, automake, autopoint, libacl1-dev, libselinux1-dev [linux-any]
+Build-Depends: debhelper (>> 10), gettext, autoconf, automake, autopoint, bison, libacl1-dev, libselinux1-dev [linux-any]
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/tar.git
 Vcs-Browser: https://salsa.debian.org/debian/tar
